POST Items
Gebruik dit endpoint om een nieuw item binnen een branch aan te maken.
Gebruikersniveau: Gevorderd
Endpoint
POST /v1/{scopeId}/items| Eigenschap | Waarde |
|---|---|
| Method | POST |
| Scope ID | Branch UUID |
| Authenticatie | Authorization: Bearer <access_token> |
| Vereiste scope | routix:items:write |
| Content-Type | application/json |
| Request body | JSON object |
Create-regels
- Items zijn branch-or-null resources, maar de request gebruikt nog steeds een branch UUID in de URL.
organization_idenbranch_idworden server-side gezet.
Toegestane createvelden
| Veld |
|---|
name |
code |
status |
unit |
description |
Voorbeeldrequest
curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/items" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \
-H "Content-Type: application/json" \
-d '{
"name": "Pallet",
"code": "PALLET",
"status": "active",
"unit": "piece"
}'Voorbeeldresponse
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440061",
"name": "Pallet",
"code": "PALLET",
"status": "active",
"unit": "piece"
},
"version": "v1"
}Last updated on

